Public Attributes | List of all members
dma_block_config Struct Reference
Peripheral Driver » HAL Driver » DMA » Structures » DMA Configuration

LL DMA block definition. More...

`#include <gr55xx_hal_dma.h>`

## Public Attributes
uint32_t | src_address
uint32_t | dst_address
struct dma_block_config * | p_lli
uint32_t | CTL_L
uint32_t | CTL_H
uint32_t | src_status
uint32_t | dst_status

## Detailed Description

LL DMA block definition.

Definition at line 136 of file gr55xx_hal_dma.h.

## Member Data Documentation

## ◆ CTL_H

uint32_t dma_block_config::CTL_H

Specifies the CRL[63:32] for DMA transfer. This parameter must be a value between Min_Data = 0 and Max_Data = 0xFFFFFFFF.

Definition at line 151 of file gr55xx_hal_dma.h.

## ◆ CTL_L

uint32_t dma_block_config::CTL_L

Specifies the CRL[31:0] for DMA transfer. This parameter must be a value between Min_Data = 0 and Max_Data = 0xFFFFFFFF.

Definition at line 148 of file gr55xx_hal_dma.h.

## ◆ dst_address

uint32_t dma_block_config::dst_address

Specifies the Source base address for DMA transfer. This parameter must be a value between Min_Data = 0 and Max_Data = 0xFFFFFFFF.

Definition at line 142 of file gr55xx_hal_dma.h.

## ◆ dst_status

uint32_t dma_block_config::dst_status

Specifies the Source base address for DMA transfer. This parameter must be a value between Min_Data = 0 and Max_Data = 0xFFFFFFFF.

Definition at line 157 of file gr55xx_hal_dma.h.

## ◆ p_lli

struct dma_block_config* dma_block_config::p_lli

Specifies the linked list point for DMA transfer. This parameter must be a value between Min_Data = 0 and Max_Data = 0xFFFFFFFF.

Definition at line 145 of file gr55xx_hal_dma.h.

## ◆ src_address

uint32_t dma_block_config::src_address

Specifies the Destination base address for DMA transfer. This parameter must be a value between Min_Data = 0 and Max_Data = 0xFFFFFFFF.

Definition at line 139 of file gr55xx_hal_dma.h.

## ◆ src_status

uint32_t dma_block_config::src_status

Specifies the Destination base address for DMA transfer. This parameter must be a value between Min_Data = 0 and Max_Data = 0xFFFFFFFF.

Definition at line 154 of file gr55xx_hal_dma.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_dma.h